Bug 1741947 - CVE-2019-9511 nghttp2: HTTP/2: large amount of data request leads to denial of service [fedora-all]
Summary: CVE-2019-9511 nghttp2: HTTP/2: large amount of data request leads to denial o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nghttp2
Version: 30
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1744802 (view as bug list)
Depends On:
Blocks: CVE-2019-9511
TreeView+ depends on / blocked
 
Reported: 2019-08-16 14:00 UTC by Dhananjay Arunesh
Modified: 2019-08-30 21:50 UTC (History)
3 users (show)

Fixed In Version: nghttp2-1.39.2-1.fc30 nghttp2-1.39.2-1.fc29
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-23 01:26:33 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-08-16 14:00:56 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Dhananjay Arunesh 2019-08-16 14:00:59 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1741860,1741864,1741868,1741947

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-08-19 14:20:08 UTC
FEDORA-2019-81985a8858 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-81985a8858

Comment 3 Fedora Update System 2019-08-19 14:21:50 UTC
FEDORA-2019-8a437d5c2f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a437d5c2f

Comment 4 Fedora Update System 2019-08-20 01:37:29 UTC
nghttp2-1.39.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a437d5c2f

Comment 5 Fedora Update System 2019-08-23 01:26:33 UTC
nghttp2-1.39.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Marco Benatto 2019-08-23 13:49:30 UTC
*** Bug 1744802 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2019-08-27 18:37:49 UTC
nghttp2-1.39.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.